org.keycloak.models.jpa.entities

## Class RoleEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.RoleEntity

-     @Entity
      public class RoleEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApplicationEntity` | `getApplication()`
    `String` | `getAppRealmConstraint()`
    `Collection<RoleEntity>` | `getCompositeRoles()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `RealmEntity` | `getRealm()`
    `String` | `getRealmId()`
    `int` | `hashCode()`
    `boolean` | `isApplicationRole()`
    `void` | `setApplication(ApplicationEntity application)`
    `void` | `setApplicationRole(boolean applicationRole)`
    `void` | `setAppRealmConstraint(String appRealmConstraint)`
    `void` | `setCompositeRoles(Collection<RoleEntity> compositeRoles)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setRealmId(String realmId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleEntity

          public RoleEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getCompositeRoles

          public Collection<RoleEntity> getCompositeRoles()

    - #### setCompositeRoles

          public void setCompositeRoles(Collection<RoleEntity> compositeRoles)

    - #### isApplicationRole

          public boolean isApplicationRole()

    - #### setApplicationRole

          public void setApplicationRole(boolean applicationRole)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getApplication

          public ApplicationEntity getApplication()

    - #### setApplication

          public void setApplication(ApplicationEntity application)

    - #### getAppRealmConstraint

          public String getAppRealmConstraint()

    - #### setAppRealmConstraint

          public void setAppRealmConstraint(String appRealmConstraint)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2014. All Rights Reserved.